// nio_example_cpp.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"

////////////////////////////////////////////////////////////////////////// 包含头文件及库
#include "nio_lib20.h"
#include "nio_lib20_err.h"
#pragma comment(lib,"nio_lib20.lib")

////////////////////////////////////////////////////////////////////////// 例程
short NIO_Example_Init(short idx,HAND *pHDev);
short NIO_Example_D_In(HAND hDev);
short NIO_Example_D_Out(HAND hDev);
short NIO_Example_Interrupt(HAND hDev);

////////////////////////////////////////////////////////////////////////// main
int _tmain(int argc, _TCHAR* argv[])
{
	short rtn;
	short devIdx = 0;
	HAND hDev;

	rtn = NIO_Example_Init(devIdx,&hDev);
	if(rtn != 0){return rtn;}

	rtn = NIO_Example_D_In(hDev);

	rtn = NIO_Example_D_Out(hDev);

	rtn = NIO_Example_Interrupt(hDev);

	return 0;
}

